<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require_once "DigitalSignage4_Entity.php";

class DigitalSignage4_APIResponseEntity extends DigitalSignage4_Entity
{
    private $called_action = null;
    private $response_code = null;
    private $processing_time_ms = null;
    private $errors = array();
    private $datas = array();

    /**
     * DigitalSignage4_APIResponseEntity constructor.
     */
    public function __construct()
    {
    }


    /**
     * @return null
     */
    public function getCalledAction()
    {
        return $this->called_action;
    }

    /**
     * @param null $called_action
     */
    public function setCalledAction($called_action)
    {
        $this->called_action = $called_action;
    }

    /**
     * @return null
     */
    public function getResponseCode()
    {
        return $this->response_code;
    }

    /**
     * @param null $response_code
     */
    public function setResponseCode($response_code)
    {
        $this->response_code = $response_code;
    }

    /**
     * @return null
     */
    public function getProcessingTimeMs()
    {
        return $this->processing_time_ms;
    }

    /**
     * @param null $processing_time_ms
     */
    public function setProcessingTimeMs($processing_time_ms)
    {
        $this->processing_time_ms = $processing_time_ms;
    }

    /**
     * @return array
     */
    public function getErrors()
    {
        return $this->errors;
    }

    /**
     * @param array $errors
     */
    public function setErrors(array $errors)
    {
        $this->errors = $errors;
    }

    /**
     * @return array
     */
    public function getDatas()
    {
        return $this->datas;
    }

    /**
     * @param array $datas
     */
    public function setDatas(array $datas)
    {
        $this->datas = $datas;
    }
}
